# module Sprockets::Rails::RouteWrapper

### Public Class Methods

included(klass) click to toggle source

    # File lib/sprockets/rails/route_wrapper.rb, line 13
    def self.included(klass)
      klass.class_eval do
        def internal_with_sprockets?
          internal_without_sprockets? || internal_assets_path?
        end
        alias_method_chain :internal?, :sprockets
      end
    end

### Public Instance Methods

internal?() click to toggle source
Calls superclass method

    # File lib/sprockets/rails/route_wrapper.rb, line 9
    def internal?
      super || internal_assets_path?
    end

internal_assets_path?() click to toggle source

    # File lib/sprockets/rails/route_wrapper.rb, line 5
    def internal_assets_path?
      path =~ %r{\A#{self.class.assets_prefix}\z}
    end

internal_with_sprockets?() click to toggle source

    # File lib/sprockets/rails/route_wrapper.rb, line 15
    def internal_with_sprockets?
      internal_without_sprockets? || internal_assets_path?
    end